@import "~sass/media";
@import "~sass/variables";
#wrapper {
  // padding-right: 10px;
  // padding-top: 3px;
}
.category-list-wrapper {
  width: 100%;
  // z-index: 1;
  @media (min-width: 768px) and (max-width: 800px) {
    width: 175px;
  }
  // @media (min-width: 1024px) and (max-width: 1260px) {
  //   width: 238px;
  // }
  // @media (min-width: 1060px) and (max-width: 1279px) {
  //   width: 300px;
  // }
  @media (min-width: 320px) and (max-width: 767px) {
    display: none;
  }
  // @media (min-width: 1280px) and (max-width: 1365px) {
  //   width: 302px;
  // }
}
.category-list {
  // background-color: #fff;
  // color: #464646;
  // border: 1px solid #dcdcdc;
  // font-size: 0.8rem;
  // margin-bottom: 15px;
    color: #000;
    font-size: 0.8rem;
    @media (min-width: 768px) and (max-width: 800px) {
      font-size: 8px;
    }
}
.category-list ul {
      margin-bottom: 0 !important;
    display: flex;
    flex-direction: row;
    background-color: $secondary-color;
    /* width: 100%; */
    height: 54px;
    padding: 0 10px;
    @media (min-width: 768px) and (max-width: 800px) {
      height: 48px;
    }
}

.category-list ul li {
  // border-bottom: 1px solid #ececec;
  // line-height: 2.6;
}


.category-list ul li {
  // text-decoration: none;
  // display: block;
  // height: 100%;
  // padding-left: 4%;
  // display: flex;
  // justify-content: space-between;
  // align-items: center;
  // cursor: pointer;
  // font-weight: 600;
    text-decoration: none;
    display: block;
    height: 100%;
    padding: 0 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    font-weight: 600;
    &:first-child{
      padding: 0;
    }
    &:last-child{
      padding: 0;
    }
  .fa {
    // color: #757575;
    // pointer-events: none;
    // padding: 0 12px;
    // height: 37px;
    // line-height: 2.5;
    color: $font-white;
    pointer-events: none;
    padding: 0 5px;
    height: 20px;
    line-height: 2.5;
    display: flex;
    align-items: center;
    margin: 0 5px;
  }
  &:hover {
    // color: #03a9f4;
    color: #fff;
    .fa {
      color: #000;
      pointer-events: none;
      background-color: $primary-color !important;
      padding: 0 5px;
      height: 20px;
      line-height: 2.5;
      margin: 0 5px;
    }
  }
}

.category-list-active {
  outline: 0;
}
.category-list-active .fa {
  color: #fff !important;
  pointer-events: none;
  background-color: $primary-color !important;
  // padding: 0 12px;
  margin: 0 5px;
  height: 20px;
  line-height: 2.5;
}
.category-list .more-category a {
  font-weight: 600;
  display: flex;
  align-items: center;
  i{
    font-size: 15px;
    padding-right: 5px;
  }
}

.categorygroup-wrapper {
  height: 344px;
  overflow-x: hidden;
  background-color: #fafafa;
  padding: 10px 20px;
  position: absolute;
  // width: 1017px;
  width: 1133px;
  top: 116px;
  box-shadow: 3px 4px 10px -4px #8f8d8f;
  -webkit-box-shadow: 3px 4px 10px -4px rgba(143, 141, 143, 1);
  -moz-box-shadow: 3px 4px 10px -4px rgba(143, 141, 143, 1);
  box-shadow: 3px 4px 10px -4px rgba(143, 141, 143, 1);
  z-index: 1;
  // background-image: url("assets/images/category-ads.jpg");
  // background-position: right;
  // background-repeat: no-repeat;
  display: initial;     
  @include for-size(phone-only) {
    display: none;
  }
  @include for-size(mobile-lanscape) {
    display: none;
  }
  @media (min-width: 700px) and (max-width: 768px) {
    width: 74vw;
    left: 173px;
    overflow-x: scroll;
    background-position: right;
  }
  @media (min-width: 769px) and (max-width: 800px) {
    width: 74.5vw;
    z-index: 2;
    left: 175px;
    overflow-x: scroll;
    background-position: right;
  }
  @media (min-width: 801px) and (max-width: 1024px) {
    width: 823px;
    z-index: 2;
    // left: 238px;
    overflow-x: scroll;
    background-position: right;
  }
  @media (min-width: 1025px) and (max-width: 1279px) {
    width: 942px;
    left: 297px;
  }
  @media (min-width: 1280px) and (max-width: 1365px) {
    //left: 300px;
    width: 100%;
  }
  @media (min-width: 1366px) and (max-width: 1400px) {
    width: 1078px;
  }
}

_:-ms-lang(x),
_:-webkit-full-screen,
.categorygroup-wrapper {
  @media (min-width: 1280px) and (max-width: 1365px) {
    width: 934px !important;
    left: 302px;
  }
}
_:-ms-lang(x),
_:-webkit-full-screen,
.categorygroup-wrapper {
  @media (min-width: 1440px) and (max-width: 1534px) {
    left: 320px;
  }
}
_:-ms-lang(x),
_:-webkit-full-screen,
.categorygroup-wrapper {
  @media (min-width: 1535px) and (max-width: 1559px) {
    left: 322px;
  }
}
_:-ms-lang(x),
_:-webkit-full-screen,
.categorygroup-wrapper {
  @media (min-width: 1600px) and (max-width: 1919px) {
    left: 320px;
  }
}

@-moz-document url-prefix() {
  @media (min-width: 1280px) and (max-width: 1365px) {
    .categorygroup-wrapper {
      width: 934px !important;
    }
  }
}

.categorygroup-wrapper h5 {
  font-weight: 600;
  color: #313131;
  cursor: default;
}
.categorygroup-wrapper ul {
  list-style-type: none;
  margin-left: 0;
  text-indent: -20px;
}
.categorygroup-wrapper ul li:before {
  content: "";
  display: inline-block;
  width: 30px;
  text-indent: 0;
  text-align: center;
}

.categorygroup-wrapper li {
  margin: 0;
  padding: 0;
  line-height: 1.5;
  color: #313131;
  font-size: 14px;
  list-style: none;
  font-weight: 600;
}

.categorygroup-wrapper li:hover {
  cursor: pointer;
  display: flex;
  align-items: center;
}

.categorygroup-wrapper .inside-box {
  padding: 0;
  padding-bottom: 1vh;
}
.subcategory li {
  font-size: 14px;
  &:hover {
    color: $font-black;
    font-weight: 600;
  }
}
.subCategory-title ul {
  margin-bottom: 0px !important;
}
.subCategory-title ul li {
  font-size: 0.8rem;
  &:hover {
    color: $font-black;
    font-weight: 600;
  }
  span {
    font-size: 0.9rem;
  }
}
@include for-size(tablet-landscape-up) {
  .categorygroup-wrapper li {
    font-size: 13px;
  }
}

.sub-cate-wrap {
  -webkit-columns: 4;
  -moz-columns: 4;
  columns: 4;
  height: 313px;
  @include for-size(tablet-portrait-up) {
    width: 120vw;
  }
  @include for-size(tablet-landscape-up) {
    width: 100vw;
  }
}

.subcat-auto {
  -webkit-column-fill: auto;
  -moz-column-fill: auto;
  column-fill: auto;
}

.sub-category-product {
  border: 1px solid #eee;
  position: relative;
  height: auto;
  background-color: #fff;
}
.sub-category-product-img img {
  max-width: 100%;
  height: auto;
}
